#include <stdio.h>          /* einfache Funktionen */
/* 5-1-2 Ein Anfangskapital soll für n Jahre auf einer Bank fest angelegt werden.
Die Zinsen werden jährlich gutgeschrieben.
a) Formulieren Sie eine Funktion endkap( anfkap, zins, n), die das Endkapital
   nach n Jahren berechnet und zurückgibt.
b) Formulieren Sie eine Funktion kap_1( anfkap, zins), die das Endkapital nach
   1 Jahr berechnet und zurückgibt.
Stellen Sie mit Hilfe dieser Funktionen tabellarisch dar, wie sich das Guthaben
(Endbeträge) bei Zinssätzen von 3,00; 3,25; 3,50; 3,75 und 4,00 Prozent im
Verlauf von 10 Jahren entwickelt! Startkapital seien 1000,-€.
Hinweis: Kapital nach 1 Jahr = Anfangskapital + Anfangskapital * Zinssatz)
------------------------------------------------------------------------------*/

float endkap( float anfkap, float zins, int n)
{  int jahr;
   float kap= anfkap;
   for( jahr=1; jahr<=n; jahr++) kap= kap*( 1 + zins);  /* Kapitalentwicklung */
   return kap;
}

float kap_1( float anfkap, float zins)                 /* Kapital nach 1 Jahr */
{  float kap= anfkap;
   return kap*( 1 + zins);
}

int main()
{  int i, jahr;   float kap, zins, k;

   printf("\n Kapitalentwicklung im Verlauf von 10 Jahren:\n\n zins");
   for( jahr=1; jahr<=10; jahr++) printf("%7i", jahr);        /* Tabellenkopf */
   printf("\n");

   for( zins=0.03; zins<=0.040001; zins+=0.0025)
   {  printf("%4.2f%% ",zins*100);
      k=kap=10000;                                        /* Init für Kapital */
      for( jahr=1; jahr<=10; jahr++)
      {  k= kap_1( k, zins);                   /* mit Funktion kap_1 (1 Jahr) */
         printf("%7.0f", k);
      }
      printf("\n");                             /* nächste Zeile der Tabelle! */
   }

   printf("\n\n");   /* --------------------------nochmal mit Funktion endkap */
   for( zins=0.03; zins<=0.040001; zins+=0.0025)
   {  k=kap=10000;                                        /* Init für Kapital */
      printf("%4.2f%% ",zins*100);
      for( jahr=1; jahr<=10; jahr++)
      printf("%7.0f", endkap(kap, zins, jahr));
      printf("\n");                           /* nächste Zeile der Tabelle! */
   }


   /* --------------------------------- nochmal andersrum mit Funktion endkap */
   printf("\n       Jahr / Zins. 3,0% . . . . 3,25% . .  . 3,5% . . . . 3,75%");
   printf(" .  . 4,0%\n");
   for (i=1; i<=10; i++)
   {  printf("\t%4i  ",i);

      for (zins=0.03; zins<=0.04001; zins +=0.0025)
                                         printf("%10.2f", endkap(kap, zins, i));
      printf("\n");
   }
   printf("\n"); system("PAUSE"); return 0;
}
